Updated September 10, 2015

80029527 PS3 Error Code

The PSP system needs to be updated to the latest system software in order to download PlayStation Store content.

 
 

This message appears if you are transferring content from PlayStation Store, downloading items from Account Management, or attempting to activate / deactivate a PSP system using the PlayStation 3 system.

The PSP system needs to have system software 3.00 or later installed to activate / deactivate the system from the PS3 system or to download PlayStation Store via a PlayStation 3 system.

Solution

  • Update the PSP system to the latest system software. 
  • For more tips and hints on using your PlayStation system, visit our technical support forums at community.eu.playstation.com.
 
 
 
 

More on this topic

Related Articles